NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::Subdivision::SubdivisionRevolveBuilder Class Reference

Represents a NXOpen::Features::Subdivision::SubdivisionRevolveBuilder builder. More...

Inheritance diagram for NXOpen::Features::Subdivision::SubdivisionRevolveBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ContinuityType { ContinuityTypeSmooth, ContinuityTypeSharp }
 Type of continuity. More...
 

Public Member Functions

NXOpen::SelectNXObjectAxisPoint ()
 Returns the origin of the axis of revolution. More...
 
NXOpen::DirectionAxisVector ()
 Returns the axis of revolution. More...
 
bool CanSew ()
 Returns the value indicating if open edges of the revolve mesh can be sewn with selected input open edges. More...
 
NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::ContinuityType Continuity ()
 Returns the continuity. More...
 
NXOpen::ExpressionEndAngle ()
 Returns the end of angular dimension. More...
 
int NumOfSegments ()
 Returns the number of segments. More...
 
NXOpen::Features::Subdivision::SelectCageObjectDataSectionObject ()
 Returns the section as revolving profile. More...
 
void SetAxisVector (NXOpen::Direction *axisVector)
 Sets the axis of revolution. More...
 
void SetCanSew (bool canSew)
 Sets the value indicating if open edges of the revolve mesh can be sewn with selected input open edges. More...
 
void SetContinuity (NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::ContinuityType continuity)
 Sets the continuity. More...
 
void SetNumOfSegments (int numOfSegments)
 Sets the number of segments. More...
 
NXOpen::ExpressionStartAngle ()
 Returns the start of angular dimension. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::Subdivision::SubdivisionRevolveBuilder builder.


To create a new instance of this class, use NXOpen::Features::Subdivision::SubdivisionBodyCollection::CreateSubdivisionRevolveBuilder
Default values.

Property Value

CanSew

1

EndAngle.Value

360

NumOfSegments

8

StartAngle.Value

0


Created in NX10.0.0.

Member Enumeration Documentation

Type of continuity.

Enumerator
ContinuityTypeSmooth 

Smooth continuity.

ContinuityTypeSharp 

Sharp continuity.

Member Function Documentation

NXOpen::SelectNXObject* NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::AxisPoint ( )

Returns the origin of the axis of revolution.


Created in NX10.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::AxisVector ( )

Returns the axis of revolution.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::CanSew ( )

Returns the value indicating if open edges of the revolve mesh can be sewn with selected input open edges.


Created in NX10.0.0.

License requirements : None

NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::ContinuityType NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::Continuity ( )

Returns the continuity.

The continuity is used to specify creases in the limit surface corresponding to edges of the revolved region that are sewn with the primary existing region.
Created in NX11.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::EndAngle ( )

Returns the end of angular dimension.


Created in NX10.0.0.

License requirements : None

int NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::NumOfSegments ( )

Returns the number of segments.


Created in NX10.0.0.

License requirements : None

NXOpen::Features::Subdivision::SelectCageObjectData* NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::SectionObject ( )

Returns the section as revolving profile.


Created in NX10.0.0.

License requirements : None

void NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::SetAxisVector ( NXOpen::Direction axisVector)

Sets the axis of revolution.


Created in NX10.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
axisVectoraxisvector
void NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::SetCanSew ( bool  canSew)

Sets the value indicating if open edges of the revolve mesh can be sewn with selected input open edges.


Created in NX10.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
canSewcansew
void NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::SetContinuity ( NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::ContinuityType  continuity)

Sets the continuity.

The continuity is used to specify creases in the limit surface corresponding to edges of the revolved region that are sewn with the primary existing region.
Created in NX11.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
continuitycontinuity
void NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::SetNumOfSegments ( int  numOfSegments)

Sets the number of segments.


Created in NX10.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
numOfSegmentsnumofsegments
NXOpen::Expression* NXOpen::Features::Subdivision::SubdivisionRevolveBuilder::StartAngle ( )

Returns the start of angular dimension.


Created in NX10.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.